Subject: Re: [dmarc-ietf] Tree Jump method - reporting targeting

From: Scott Kitterman <[email-masked]>
Date: Sat, 02 Apr 2022 19:39:56 -0400

On Thursday, March 31, 2022 7:13:57 AM EDT Douglas Foster wrote:
> While the PSL can determine an organizational domain from any From address,
> the Tree Jump method only works if there is a single-subdomain DMARC policy
> to contain the orgname=FQDN token.    This means that we would need to
> encourage domain owners to publish policies on each domain that sends mail,
> something that is not required now.
> 
> But if I understand the specification correctly, every DMARC policy serves
> to partition the reporting scope, with results for subdomains sent to the
> subdomain target, and results for the organizational domain sent to the
> organizational domain target after excluding the separately-reported
> subdomain results.    Domain owners may be reluctant to publish
> single-domain policies because they do not want this partitioning.
> 
> Consequently, it seems desirable to have a reporting preference indicator
> for DMARC policies on subdomains:    ReportTargets=(self, org, both).
>  When ReportTargets=org, the rua=address could be omitted, since the rua
> destination will be taken from the organizational domain policy.
>  ReportTargets=org would allow the domain owners to publish
> single-subdomain policies without altering the reporting structure, and
> without replicating a specific address in multiple policy records.

This misunderstands how RFC 7489 works.  The DMARCbis approach with the tree 
walk works the same as RFC 7489 in this regard.  It's either the 5322.From 
domain, if it has a policy, or the organizational domain if it does not and 
the organizational domain does.  No difference.

Scott K